import { isHoliday } from "./holidays";
var taskStartDate = +new Date('2024-01-01');
var taskDayCount = 60 * 60 * 24 * 1000;

// 获取天数
export function getRealDuration(task, includeHoliday) {
  var start = task.start,
    duration = task.duration;
  if (includeHoliday) return task.duration;
  var res = 0;
  var endLen = duration + start;
  for (var i = start; i < endLen; i++) {
    if (isHoliday(new Date(taskStartDate + taskDayCount * i)).isHoliday) continue;
    res++;
  }
  return res;
}