/// <reference types="react" />
export interface SearchParamsType {
    currentGroup: any;
    debug: boolean;
    taskOwner: string;
    unitWidth: number;
    halfUnitWidth: number;
    taskNamePaddingLeft: number;
    initChartStartX: number;
    initChartStartY: number;
    timeScaleHeight: number;
    milestoneTopHeight: number;
    barHeight: number;
    barMargin: number;
    scrollSpeed: number;
    includeHoliday: boolean;
    useLocal: boolean;
    useRemote: boolean;
    view: string;
    mockTaskSize: number;
    todayOffset: number;
    initLastScrollX: number;
    filter: React.CSSProperties['color'];
    showFilter: boolean;
    arrowSize: number;
    showArrow: boolean;
}
export declare const useSearchParams: () => SearchParamsType;
export declare const useSearchParamsActions: () => {
    refreshSearchParamsStore: () => void;
    setSearchParamsStore: (settings: Partial<SearchParamsType>) => void;
    clearSearchParamsStore: () => void;
};
//# sourceMappingURL=useGanttChartStore.d.ts.map