"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.clearItems = clearItems;
exports.getItem = getItem;
exports.getStringItem = getStringItem;
exports.removeItem = removeItem;
exports.setItem = setItem;
function getItem(key) {
  var value = null;
  try {
    var result = window.localStorage.getItem(key);
    if (result) value = JSON.parse(result);
  } catch (error) {
    console.error(error);
  }
  return value;
}
function getStringItem(key) {
  return localStorage.getItem(key);
}
function setItem(key, value) {
  localStorage.setItem(key, JSON.stringify(value));
}
function removeItem(key) {
  localStorage.removeItem(key);
}
function clearItems() {
  localStorage.clear();
}