export function getItem(key) {
  var value = null;
  try {
    var result = window.localStorage.getItem(key);
    if (result) value = JSON.parse(result);
  } catch (error) {
    console.error(error);
  }
  return value;
}
export function getStringItem(key) {
  return localStorage.getItem(key);
}
export function setItem(key, value) {
  localStorage.setItem(key, JSON.stringify(value));
}
export function removeItem(key) {
  localStorage.removeItem(key);
}
export function clearItems() {
  localStorage.clear();
}